Package org.apache.torque.generator.file

# Class Fileset

java.lang.Object
org.apache.torque.generator.file.Fileset

public class Fileset extends Object
Selects Files in a directory and the subdirectories of the directory. From these files, all that match an include pattern and do not match an exclude pattern are selected.

Version:
  $Id: Fileset.java 1855923 2019-03-20 16:19:39Z gk $

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Fileset()`
  Default constructor.
  `Fileset(File basedir, Collection<String> includes, Collection<String> excludes)`
  All-Args constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getBasedir()`
  Returns the base directory of the fileset.
  `Collection<String>`
  `getExcludes()`
  Returns the exclude patterns for the fileset.
  `List<File>`
  `getFiles()`
  Returns the names of all files matching this fileset.
  `Collection<String>`
  `getIncludes()`
  Returns the include patterns for the fileset.
  `void`
  `setBasedir(File basedir)`
  Sets the base directory of the fileset.
  `void`
  `setExcludes(Collection<String> excludes)`
  Sets the exclude patterns for the fileset.
  `void`
  `setIncludes(Collection<String> includes)`
  Sets the include patterns for the fileset.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Fileset

    public Fileset()
    Default constructor.

  - ### Fileset

    public Fileset(File basedir, Collection<String> includes, Collection<String> excludes)
    All-Args constructor.
    Parameters:
      `basedir` - the basedir, or null to use the current basedir.
      `includes` - The patterns for the files to include. If null or empty, all Files are included.
      `excludes` - The patterns for the files to exclude. If null or empty, no Files are excluded.

- ## Method Details

  - ### getBasedir

    public File getBasedir()
    Returns the base directory of the fileset.
    Returns:
      the base directory, or null if no basedir is specified.

  - ### setBasedir

    public void setBasedir(File basedir)
    Sets the base directory of the fileset.
    Parameters:
      `basedir` - the base directory, or null.

  - ### getIncludes

    public Collection<String> getIncludes()
    Returns the include patterns for the fileset.
    Returns:
      the include patterns, or null if all files should be included.

  - ### setIncludes

    public void setIncludes(Collection<String> includes)
    Sets the include patterns for the fileset.
    Parameters:
      `includes` - the include patterns, or null if all files should be included.

  - ### getExcludes

    public Collection<String> getExcludes()
    Returns the exclude patterns for the fileset.
    Returns:
      the exclude patterns, or null if all files should be excluded.

  - ### setExcludes

    public void setExcludes(Collection<String> excludes)
    Sets the exclude patterns for the fileset.
    Parameters:
      `excludes` - the exclude patterns, or null if all files should be excluded.

  - ### getFiles

    public List<File> getFiles() throws IOException
    Returns the names of all files matching this fileset.
    Returns:
      the names of all matching files, not null.
    Throws:
      `IOException` - if an error occurs reading the file names.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`